> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.americanexpress.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.americanexpress.ferndocs.com/_mcp/server.

# Retrieve Transaction details

GET https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications

Returns the details of a Transaction occurred notification.

Reference: https://developer.americanexpress.ferndocs.com/payment-services/card-on-demand/api-reference/get-transaction-notifications

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as `Authorization: Bearer <token>`.

## Servers

- `https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand` (Sandbox, default)
- `https://api.americanexpress.com/commercial/v1/card_on_demand` (Production)

## Response

### 200

Successful operation

- `notificationId` (string, optional) — The ID of the notification.
- `timeOfNotification` (string, optional) — The timestamp of the notification in ISO 8601 format yyyy-MM-ddThh:mm:ss+00:00.
- `notificationType` (enum, optional) — The type of the transaction Notification.
  - Allowed values: `TRANSACTION`
- `transactionDetails` (TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetails, optional) — The transactions details.

## Types

### TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetails

The transactions details.

- `referenceNumber` (string, optional) — A unique value for each Virtual Card transaction that is also populated in the customer's Account statement to help match Virtual Card transactions between the API and the statement.
- `cardId` (string, optional) — The ID of the Virtual Card to which the transaction belongs.
- `lastFive` (string, optional) — The last five digits of the Card or Account number on which the transaction occurred.
- `authorizationId` (string, optional) — The ID of the Authorization that led to the transaction.
- `transactionAmount` (TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetailsTransactionAmount, optional)
- `localAmount` (TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetailsLocalAmount, optional)
- `authorizationDate` (string, optional) — The date when the Card was initially authorized by the Merchant for a payment. The format is: YYYY-MM-DD.
- `transactionDate` (string, optional) — The date when American Express transfers the funds to the Merchant’s account, also known as the settlement date. The format is: YYYY-MM-DD.
- `transactionType` (string, optional) — This is the type of transaction, whether it is CHARGE or CREDIT.
- `digitalWallet` (string, optional) — This field indicates if the transaction was made via a digital wallet. The possible values can be Samsung Pay, Google Pay, Apple Pay or Not applicable (if digital wallet was not used).
- `transactionDescription` (TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetailsTransactionDescription, optional)
- `billingCycleDate` (string, optional) — The end date of the billing cycle of the account statement in which the transaction will be posted. The format is YYYY-MM-DD.
- `merchant` (TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetailsMerchant, optional)

### TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetailsTransactionAmount

- `value` (string, optional) — The numeric value of the transaction. In cases of credits, the amount will be represented as a negative value.
- `currency` (string, optional) — The funding account's currency.

### TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetailsLocalAmount

- `value` (string, optional) — The local currency value of the transaction.
- `currency` (string, optional) — The currency in which the transaction is paid to the Merchant.

### TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetailsTransactionDescription

- `line1` (string, optional) — The first line of the transaction description.
- `line2` (string, optional) — The second line of the transaction description.
- `line3` (string, optional) — The third line of the transaction description.
- `line4` (string, optional) — The fourth line of the transaction description.
- `line5` (string, optional) — The fifth line of the transaction description. This field will only be returned for the Virtual Card transactions, and not for the basic/supplemental Corporate and Business Card transactions.

### TransactionnotificationsGetResponsesContentApplicationJsonSchemaTransactionDetailsMerchant

- `name` (string, optional) — The Merchant's name linked to the Merchant Number within American Express.
- `city` (string, optional) — The city associated with the Merchant Number within American Express.
- `state` (string, optional) — The state associated with the Merchant Number within American Express.
- `country` (string, optional) — The country associated with the Merchant Number within American Express. This field will be in an [ISO](iso-country-codes.pdf) two-digit country code standard.
- `postalCode` (string, optional) — The Postal Code associated with the Merchant Number within American Express.
- `SeNumber` (string, optional) — The Service Establishment Number that uniquely identifies a Merchant.
- `taxNumber` (string, optional) — This is the Merchant's Federal Tax ID. This field will only be returned for Virtual Card transactions, in instances when the merchant provides this data
- `categoryCode` (string, optional) — The Merchant Category identifier. This field will only be returned for the Virtual Card transactions, in instances when the merchant provides this data.

## Examples

**Response**

```json
{
  "notificationId": "NT1686783407260qgM32D83DpRkCcdh1o0Si",
  "timeOfNotification": "2022-12-05T18:10:10+00:00",
  "notificationType": "TRANSACTION",
  "transactionDetails": {
    "referenceNumber": "200500312349098761236437948040040000021234567",
    "cardId": "CAEQd4zBEYrPi56",
    "lastFive": "56789",
    "authorizationId": "85345",
    "transactionAmount": {
      "value": "200.37",
      "currency": "USD"
    },
    "localAmount": {
      "value": "185.12",
      "currency": "EUR"
    },
    "authorizationDate": "2022-01-14",
    "transactionDate": "2022-01-17",
    "transactionType": "CHARGE",
    "digitalWallet": "Apple Pay",
    "transactionDescription": {
      "line1": "GENERIC_COMPANY.COM/US, PHOENIX, AZ",
      "line2": "REF# W701947716A",
      "line3": "ELECTRONICS STORE 08/15/21",
      "line4": "08/15/21",
      "line5": "NA"
    },
    "billingCycleDate": "2022-02-01",
    "merchant": {
      "name": "ABCD",
      "city": "Phoenix",
      "state": "AZ",
      "country": "US",
      "postalCode": "85345",
      "SeNumber": "8906067845",
      "taxNumber": "4235656",
      "categoryCode": "4411"
    }
  }
}
```

**SDK Code**

```python getTransactionNotifications_example
import requests

url = "https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript getTransactionNotifications_example
const url = 'https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getTransactionNotifications_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getTransactionNotifications_example
require 'uri'
require 'net/http'

url = URI("https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java getTransactionNotifications_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php getTransactionNotifications_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp getTransactionNotifications_example
using RestSharp;

var client = new RestClient("https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift getTransactionNotifications_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/transactionnotifications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```